//#############################################################################
//
// FILE:   pfc1ph3ilttpl_user_settings.h
//
// TITLE:  pfc1ph3ilttpl User Settings
//
//#############################################################################
// $TI Release: TIDM_1007 v1.00.00.00 $
// $Release Date: Thu May 28 13:35:58 CDT 2020 $
// $Copyright:
// Copyright (C) 2020 Texas Instruments Incorporated - http://www.ti.com/
//
// ALL RIGHTS RESERVED
// $
//#############################################################################

#if CONTROL_RUNNING_ON == CLA_CORE
#define INSTRUMENTATION_ISR_RUNNING_ON CLA_CORE
#else
#define INSTRUMENTATION_ISR_RUNNING_ON C28x_CORE
#endif

#define AVV_TEST 0

#define C28x_CONTROLISR_INTERRUPT_PIE_GROUP_NO INTERRUPT_ACK_GROUP3
#define C28x_TENKHZISR_INTERRUPT_PIE_GROUP_NO INTERRUPT_CPU_INT14

#define C28x_CONTROLISR_INTERRUPT_TRIG_PWM_BASE EPWM1_BASE
#define C28x_CONTROLISR_INTERRUPT INT_EPWM1
#define CLA_CONTROLISR_TRIG  CLA_TRIGGER_EPWM1INT
#define CLA_INSTRUMENTATIONISR_TRIG  CLA_TRIGGER_TINT2

#define INSTRUMENTATION_ISR_FREQUENCY 10000
#define C28x_INSTRUMENTATION_INTERRUPT_TRIG_CPUTIMER_BASE CPUTIMER2_BASE
#define C28x_INSTRUMENTATION_INTERRUPT INT_TIMER2

#define GI_PI_MAX   (float32_t) 1.0
#define GI_PI_MIN   (float32_t) -1.0

#define GV_PI_MAX   (float32_t) 0.7
#define GV_PI_MIN   (float32_t) -0.02

#define NON_LINEAR_V_LOOP_KP_MULTIPLIER (float32_t) 2.0

#define INPUT_CAP_COMPENSATION 1
#define HIGH_LINE_INPUT_CAP_COMP_ADJUST (float32_t) -0.008       //220*2PI*50*CAP*1.414/IMAX_SENSE
#define LOW_LINE_INPUT_CAP_COMP_ADJUST  (float32_t) -0.005      //110*2PI*60*CAP*1.414/IMAX_SENSE

#define SPLL_1PH_NOTCH_SEL 1
#define SPLL_1PH_SOGI_SEL 2
#define SPLL_1PH_SOGI_FLL_SEL 3
#define AC_FREQ 60
#define SPLL_METHOD_SELECT SPLL_1PH_SOGI_SEL

// Dead time optimization
#define GAN_COSS  (float32_t) 0.000000000181    //LMG3410R050
#define PFC_DEADBAND_RED_MIN_US (float32_t) 0.020 // 20ns
#define PFC_DEADBAND_RED_MAX_US (float32_t) 0.200 // 200ns

#define HIGH_FREQ_PWM_DEADBAND_RED_MAX_COUNT (int32_t)((float32_t)PFC_DEADBAND_RED_MAX_US*(float32_t)PWMSYSCLOCK_FREQ*(float32_t)0.000001)
#define HIGH_FREQ_PWM_DEADBAND_RED_MIN_COUNT (int32_t)((float32_t)PFC_DEADBAND_RED_MIN_US*(float32_t)PWMSYSCLOCK_FREQ*(float32_t)0.000001)
#define PHASE_SHEDDING_1PH_2PH_TRANSITION_CURRENT (float32_t)5.0
#define PHASE_SHEDDING_2PH_3PH_TRANSITION_CURRENT (float32_t)9.6
#define PHASE_SHEDDING_TRANSITION_CURRENT_HYSTERESIS (float32_t)0.5

/* PWM pin, ADC, SDFM, Relay Selection related variables */

#define LOW_FREQ_PWM_BASE                   EPWM1_BASE

#define LOW_FREQ_PWM_H_GPIO                 0
#define LOW_FREQ_PWM_H_GPIO_PIN_CONFIG      GPIO_0_EPWM1A
//#define LOW_FREQ_PWM_H_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_0_GPIO0

#define LOW_FREQ_PWM_L_GPIO                 1
#define LOW_FREQ_PWM_L_GPIO_PIN_CONFIG      GPIO_1_EPWM1B
//#define LOW_FREQ_PWM_L_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_1_GPIO1

#define HIGH_FREQ_PWM1_BASE                 EPWM2_BASE

#define HIGH_FREQ_PWM1_H_GPIO               2
#define HIGH_FREQ_PWM1_H_GPIO_PIN_CONFIG    GPIO_2_EPWM2A
#define HIGH_FREQ_PWM1_H_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_2_GPIO2

#define HIGH_FREQ_PWM1_L_GPIO               3
#define HIGH_FREQ_PWM1_L_GPIO_PIN_CONFIG    GPIO_3_EPWM2B
#define HIGH_FREQ_PWM1_L_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_3_GPIO3

#define HIGH_FREQ_PWM2_BASE                 EPWM3_BASE

#define HIGH_FREQ_PWM2_H_GPIO               4
#define HIGH_FREQ_PWM2_H_GPIO_PIN_CONFIG    GPIO_4_EPWM3A
#define HIGH_FREQ_PWM2_H_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_4_GPIO4

#define HIGH_FREQ_PWM2_L_GPIO               5
#define HIGH_FREQ_PWM2_L_GPIO_PIN_CONFIG    GPIO_5_EPWM3B
#define HIGH_FREQ_PWM2_L_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_5_GPIO5

#define HIGH_FREQ_PWM3_BASE                 EPWM4_BASE

#define HIGH_FREQ_PWM3_H_GPIO               6
#define HIGH_FREQ_PWM3_H_GPIO_PIN_CONFIG    GPIO_6_EPWM4A
#define HIGH_FREQ_PWM3_H_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_6_GPIO6

#define HIGH_FREQ_PWM3_L_GPIO               7
#define HIGH_FREQ_PWM3_L_GPIO_PIN_CONFIG    GPIO_7_EPWM4B
#define HIGH_FREQ_PWM3_L_PHASE_SHEDDING_GPIO_PIN_CONFIG      GPIO_7_GPIO7


// Uncomment the below line for 100 pin control card
//#define F28004x_64PIN

#ifdef F28004x_64PIN

#define AC_CUR_ADC_MODULE  ADCC_BASE
#define AC_CUR_ADC_SOC_NO  ADC_SOC_NUMBER0
#define AC_CUR_ADC_PIN     ADC_CH_ADCIN1
#define AC_CUR_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define AC_CUR_ADC_ACQPS_SYS_CLKS 20
#define AC_CUR_ADCRESULTREGBASE ADCCRESULT_BASE

#define AC_CUR_ADC_SOC_NO_2  ADC_SOC_NUMBER1
#define AC_CUR_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define AC_CUR_ADC_SOC_NO_3  ADC_SOC_NUMBER2
#define AC_CUR_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

#define AC_L_ADC_MODULE  ADCB_BASE
#define AC_L_ADC_SOC_NO  ADC_SOC_NUMBER0
#define AC_L_ADC_PIN     ADC_CH_ADCIN8
#define AC_L_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define AC_L_ADC_ACQPS_SYS_CLKS 20
#define AC_L_ADCRESULTREGBASE ADCBRESULT_BASE

#define AC_L_ADC_SOC_NO2  ADC_SOC_NUMBER1
#define AC_L_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define AC_L_ADC_SOC_NO3  ADC_SOC_NUMBER2
#define AC_L_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

#define AC_N_ADC_MODULE  ADCA_BASE
#define AC_N_ADC_SOC_NO  ADC_SOC_NUMBER0
#define AC_N_ADC_PIN     ADC_CH_ADCIN2
#define AC_N_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define AC_N_ADC_ACQPS_SYS_CLKS 20
#define AC_N_ADCRESULTREGBASE ADCARESULT_BASE

#define AC_N_ADC_SOC_NO2  ADC_SOC_NUMBER1
#define AC_N_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define AC_N_ADC_SOC_NO3  ADC_SOC_NUMBER2
#define AC_N_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

#define IL1_ADC_MODULE  ADCC_BASE
#define IL1_ADC_SOC_NO  ADC_SOC_NUMBER3
#define IL1_ADC_PIN     ADC_CH_ADCIN0
#define IL1_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define IL1_ADC_ACQPS_SYS_CLKS 20
#define IL1_ADCRESULTREGBASE ADCCRESULT_BASE

#define IL2_ADC_MODULE  ADCC_BASE
#define IL2_ADC_SOC_NO  ADC_SOC_NUMBER4
#define IL2_ADC_PIN     ADC_CH_ADCIN2
#define IL2_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM3_SOCA
#define IL2_ADC_ACQPS_SYS_CLKS 20
#define IL2_ADCRESULTREGBASE ADCCRESULT_BASE

#define IL3_ADC_MODULE  ADCC_BASE
#define IL3_ADC_SOC_NO  ADC_SOC_NUMBER8
#define IL3_ADC_PIN     ADC_CH_ADCIN4
#define IL3_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM4_SOCA
#define IL3_ADC_ACQPS_SYS_CLKS 20
#define IL3_ADCRESULTREGBASE ADCCRESULT_BASE

#define VBUS_ADC_MODULE  ADCC_BASE
#define VBUS_ADC_SOC_NO  ADC_SOC_NUMBER5
#define VBUS_ADC_PIN     ADC_CH_ADCIN3
#define VBUS_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define VBUS_ADC_ACQPS_SYS_CLKS 20
#define VBUS_ADCRESULTREGBASE ADCCRESULT_BASE

#define VBUS_ADC_SOC_NO2  ADC_SOC_NUMBER6
#define VBUS_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define VBUS_ADC_SOC_NO3  ADC_SOC_NUMBER7
#define VBUS_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

// set 1 to enable the appropriate protection scheme
#define BOARD_PROTECTION_IL1_SENSE 0
#define BOARD_PROTECTION_IL2_SENSE 0
#define BOARD_PROTECTION_IL3_SENSE 0

#define BOARD_PROTECTION_L1 0
#define GPIO_BOARD_PROTECTION_L1 12
#define GPIO_BOARD_PROTECTION_L1_PIN_CONFIG GPIO_12_GPIO12

#define BOARD_PROTECTION_L2 0
#define GPIO_BOARD_PROTECTION_L2 13
#define GPIO_BOARD_PROTECTION_L2_PIN_CONFIG GPIO_13_GPIO13

#define BOARD_PROTECTION_L3 0
#define GPIO_BOARD_PROTECTION_L3 18
#define GPIO_BOARD_PROTECTION_L3_PIN_CONFIG GPIO_18_GPIO18

#define BOARD_PROTECTION_AC_CUR_FAULT 0
#define BOARD_PROTECTION_AC_CUR 1

#define BOARD_PROTECTION_AC_CUR_CMPSS_BASE               CMPSS2_BASE
#define BOARD_PROTECTION_AC_CUR_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_2
#define BOARD_PROTECTION_AC_CUR_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_2
#define BOARD_PROTECTION_AC_CUR_CMPSS_ASYSCTRL_MUX_VALUE 1

#define BOARD_PROTECTION_AC_CUR_XBAR_MUX                 XBAR_MUX02
#define BOARD_PROTECTION_AC_CUR_XBAR_MUX_VAL             XBAR_EPWM_MUX02_CMPSS2_CTRIPH_OR_L

#define BOARD_PROTECTION_IL1_CMPSS_BASE               CMPSS1_BASE
#define BOARD_PROTECTION_IL1_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_1
#define BOARD_PROTECTION_IL1_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_1
#define BOARD_PROTECTION_IL1_CMPSS_ASYSCTRL_MUX_VALUE 1

#define BOARD_PROTECTION_IL1_XBAR_MUX                 XBAR_MUX00
#define BOARD_PROTECTION_IL1_XBAR_MUX_VAL             XBAR_EPWM_MUX00_CMPSS1_CTRIPH_OR_L

#define BOARD_PROTECTION_IL2_CMPSS_BASE               CMPSS3_BASE
#define BOARD_PROTECTION_IL2_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_3
#define BOARD_PROTECTION_IL2_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_3
#define BOARD_PROTECTION_IL2_CMPSS_ASYSCTRL_MUX_VALUE 1

#define BOARD_PROTECTION_IL2_XBAR_MUX                 XBAR_MUX04
#define BOARD_PROTECTION_IL2_XBAR_MUX_VAL             XBAR_EPWM_MUX04_CMPSS3_CTRIPH_OR_L

#define BOARD_PROTECTION_IL3_CMPSS_BASE               CMPSS5_BASE
#define BOARD_PROTECTION_IL3_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_5
#define BOARD_PROTECTION_IL3_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_5
#define BOARD_PROTECTION_IL3_CMPSS_ASYSCTRL_MUX_VALUE 0

#define BOARD_PROTECTION_IL3_XBAR_MUX                 XBAR_MUX08
#define BOARD_PROTECTION_IL3_XBAR_MUX_VAL             XBAR_EPWM_MUX08_CMPSS5_CTRIPH_OR_L

#define GPIO_RELAY 8
#define GPIO_RELAY_PIN_CONFIG GPIO_8_GPIO8

#define GPIO_I_SENSE_GAIN_ADJUST 11
#define GPIO_I_SENSE_GAIN_ADJUST_PIN_CONFIG GPIO_11_GPIO11

#define GPIO_PROFILING1 16
#define GPIO_PROFILING1_SET GPIO_GPASET_GPIO16
#define GPIO_PROFILING1_CLEAR GPIO_GPACLEAR_GPIO16
#define GPIO_PROFILING1_PIN_CONFIG GPIO_16_GPIO16

#define GPIO_PROFILING2 17
#define GPIO_PROFILING2_SET GPIO_GPASET_GPIO17
#define GPIO_PROFILING2_CLEAR GPIO_GPACLEAR_GPIO17
#define GPIO_PROFILING2_PIN_CONFIG GPIO_17_GPIO17

// I know this is not the correct GPIO on the 64 pin control Card
// we cannot do a LED toggle based on how the mapping is currently
// mapping it to GPIO 37
#define GPIO_LED1 16
#define GPIO_LED1_SET GPIO_GPASET_GPIO16
#define GPIO_LED1_CLEAR GPIO_GPACLEAR_GPIO16
#define GPIO_LED1_PIN_CONFIG GPIO_16_GPIO16

#define GPIO_LED2 33
#define GPIO_LED2_SET GPIO_GPASET_GPIO33
#define GPIO_LED2_CLEAR GPIO_GPACLEAR_GPIO33
#define GPIO_LED2_PIN_CONFIG GPIO_33_GPIO33


#else


#define AC_CUR_ADC_MODULE  ADCB_BASE
#define AC_CUR_ADC_SOC_NO  ADC_SOC_NUMBER0
#define AC_CUR_ADC_PIN     ADC_CH_ADCIN2
#define AC_CUR_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define AC_CUR_ADC_ACQPS_SYS_CLKS 20
#define AC_CUR_ADCRESULTREGBASE ADCBRESULT_BASE

#define AC_CUR_ADC_SOC_NO_2  ADC_SOC_NUMBER1
#define AC_CUR_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define AC_CUR_ADC_SOC_NO_3  ADC_SOC_NUMBER2
#define AC_CUR_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

#define AC_L_ADC_MODULE  ADCB_BASE
#define AC_L_ADC_SOC_NO  ADC_SOC_NUMBER3
#define AC_L_ADC_PIN     ADC_CH_ADCIN3
#define AC_L_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define AC_L_ADC_ACQPS_SYS_CLKS 20
#define AC_L_ADCRESULTREGBASE ADCBRESULT_BASE

#define AC_L_ADC_SOC_NO2  ADC_SOC_NUMBER4
#define AC_L_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define AC_L_ADC_SOC_NO3  ADC_SOC_NUMBER5
#define AC_L_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

#define AC_N_ADC_MODULE  ADCA_BASE
#define AC_N_ADC_SOC_NO  ADC_SOC_NUMBER0
#define AC_N_ADC_PIN     ADC_CH_ADCIN3
#define AC_N_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define AC_N_ADC_ACQPS_SYS_CLKS 20
#define AC_N_ADCRESULTREGBASE ADCARESULT_BASE

#define AC_N_ADC_SOC_NO2  ADC_SOC_NUMBER1
#define AC_N_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define AC_N_ADC_SOC_NO3  ADC_SOC_NUMBER2
#define AC_N_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

#define IL1_ADC_MODULE  ADCA_BASE
#define IL1_ADC_SOC_NO  ADC_SOC_NUMBER3
#define IL1_ADC_PIN     ADC_CH_ADCIN2
#define IL1_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
//#define IL1_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCB
#define IL1_ADC_ACQPS_SYS_CLKS 20
#define IL1_ADCRESULTREGBASE ADCARESULT_BASE

#define IL2_ADC_MODULE  ADCA_BASE
#define IL2_ADC_SOC_NO  ADC_SOC_NUMBER4
#define IL2_ADC_PIN     ADC_CH_ADCIN4
#define IL2_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM3_SOCA
//#define IL2_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM3_SOCB
#define IL2_ADC_ACQPS_SYS_CLKS 20
#define IL2_ADCRESULTREGBASE ADCARESULT_BASE

#define IL3_ADC_MODULE  ADCA_BASE
#define IL3_ADC_SOC_NO  ADC_SOC_NUMBER5
#define IL3_ADC_PIN     ADC_CH_ADCIN6
#define IL3_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM4_SOCA
//#define IL3_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM4_SOCB
#define IL3_ADC_ACQPS_SYS_CLKS 20
#define IL3_ADCRESULTREGBASE ADCARESULT_BASE

#define VBUS_ADC_MODULE  ADCC_BASE
#define VBUS_ADC_SOC_NO  ADC_SOC_NUMBER0
#define VBUS_ADC_PIN     ADC_CH_ADCIN3
#define VBUS_ADC_TRIG_SOURCE ADC_TRIGGER_EPWM2_SOCA
#define VBUS_ADC_ACQPS_SYS_CLKS 20
#define VBUS_ADCRESULTREGBASE ADCCRESULT_BASE

#define VBUS_ADC_SOC_NO2  ADC_SOC_NUMBER1
#define VBUS_ADC_TRIG_SOURCE_2 ADC_TRIGGER_EPWM3_SOCA

#define VBUS_ADC_SOC_NO3  ADC_SOC_NUMBER2
#define VBUS_ADC_TRIG_SOURCE_3 ADC_TRIGGER_EPWM4_SOCA

// set 1 to enable the appropriate protection scheme
#define BOARD_PROTECTION_IL1_SENSE 0
#define BOARD_PROTECTION_IL2_SENSE 0
#define BOARD_PROTECTION_IL3_SENSE 0

#define BOARD_PROTECTION_L1 0
#define GPIO_BOARD_PROTECTION_L1 37
#define GPIO_BOARD_PROTECTION_L1_PIN_CONFIG GPIO_37_GPIO37

#define BOARD_PROTECTION_L2 0
#define GPIO_BOARD_PROTECTION_L2 35
#define GPIO_BOARD_PROTECTION_L2_PIN_CONFIG GPIO_35_GPIO35

#define BOARD_PROTECTION_L3 0
#define GPIO_BOARD_PROTECTION_L3 39
#define GPIO_BOARD_PROTECTION_L3_PIN_CONFIG GPIO_39_GPIO39

#define BOARD_PROTECTION_AC_CUR_FAULT 0
#define BOARD_PROTECTION_AC_CUR 1

#define BOARD_PROTECTION_AC_CUR_CMPSS_BASE               CMPSS3_BASE
#define BOARD_PROTECTION_AC_CUR_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_3
#define BOARD_PROTECTION_AC_CUR_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_3
#define BOARD_PROTECTION_AC_CUR_CMPSS_ASYSCTRL_MUX_VALUE 0

#define BOARD_PROTECTION_AC_CUR_XBAR_MUX                 XBAR_MUX04
#define BOARD_PROTECTION_AC_CUR_XBAR_MUX_VAL             XBAR_EPWM_MUX04_CMPSS3_CTRIPH_OR_L

#define BOARD_PROTECTION_IL1_CMPSS_BASE               CMPSS1_BASE
#define BOARD_PROTECTION_IL1_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_1
#define BOARD_PROTECTION_IL1_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_1
#define BOARD_PROTECTION_IL1_CMPSS_ASYSCTRL_MUX_VALUE 0

#define BOARD_PROTECTION_IL1_XBAR_MUX                 XBAR_MUX00
#define BOARD_PROTECTION_IL1_XBAR_MUX_VAL             XBAR_EPWM_MUX00_CMPSS1_CTRIPH_OR_L

#define BOARD_PROTECTION_IL2_CMPSS_BASE               CMPSS2_BASE
#define BOARD_PROTECTION_IL2_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_2
#define BOARD_PROTECTION_IL2_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_2
#define BOARD_PROTECTION_IL2_CMPSS_ASYSCTRL_MUX_VALUE 0

#define BOARD_PROTECTION_IL2_XBAR_MUX                 XBAR_MUX02
#define BOARD_PROTECTION_IL2_XBAR_MUX_VAL             XBAR_EPWM_MUX02_CMPSS2_CTRIPH_OR_L

#define BOARD_PROTECTION_IL3_CMPSS_BASE               CMPSS5_BASE
#define BOARD_PROTECTION_IL3_CMPSS_ASYSCTRL_CMPHPMUX  ASYSCTL_CMPHPMUX_SELECT_5
#define BOARD_PROTECTION_IL3_CMPSS_ASYSCTRL_CMPLPMUX  ASYSCTL_CMPLPMUX_SELECT_5
#define BOARD_PROTECTION_IL3_CMPSS_ASYSCTRL_MUX_VALUE 0

#define BOARD_PROTECTION_IL3_XBAR_MUX                 XBAR_MUX08
#define BOARD_PROTECTION_IL3_XBAR_MUX_VAL             XBAR_EPWM_MUX08_CMPSS5_CTRIPH_OR_L

#define GPIO_RELAY 12
#define GPIO_RELAY_PIN_CONFIG GPIO_12_GPIO12

#define GPIO_I_SENSE_GAIN_ADJUST 15
#define GPIO_I_SENSE_GAIN_ADJUST_PIN_CONFIG GPIO_15_GPIO15

#define GPIO_PROFILING1 16
#define GPIO_PROFILING1_SET GPIO_GPASET_GPIO16
#define GPIO_PROFILING1_CLEAR GPIO_GPACLEAR_GPIO16
#define GPIO_PROFILING1_PIN_CONFIG GPIO_16_GPIO16

#define GPIO_PROFILING2 17
#define GPIO_PROFILING2_SET GPIO_GPASET_GPIO17
#define GPIO_PROFILING2_CLEAR GPIO_GPACLEAR_GPIO17
#define GPIO_PROFILING2_PIN_CONFIG GPIO_17_GPIO17

#define GPIO_LED1 31
#define GPIO_LED1_SET GPIO_GPASET_GPIO31
#define GPIO_LED1_CLEAR GPIO_GPACLEAR_GPIO31
#define GPIO_LED1_PIN_CONFIG GPIO_31_GPIO31

#define GPIO_LED2 34
#define GPIO_LED2_SET GPIO_GPASET_GPIO34
#define GPIO_LED2_CLEAR GPIO_GPACLEAR_GPIO34
#define GPIO_LED2_PIN_CONFIG GPIO_34_GPIO34

#endif

//
// SFRA related
//
#define SFRA_GUI_SCI_BASE SCIA_BASE
#define SCI_VBUS_CLK 50000000
#define SFRA_GUI_SCI_BAUDRATE 57600
#define SFRA_GUI_SCIRX_GPIO 28
#define SFRA_GUI_SCITX_GPIO 29
#define SFRA_GUI_SCIRX_GPIO_PIN_CONFIG GPIO_28_SCIRXDA
#define SFRA_GUI_SCITX_GPIO_PIN_CONFIG GPIO_29_SCITXDA
// if the following #define is set to 1 SFRA GUI indicates status on LED
// otherwise LED code is ignored
#define SFRA_GUI_LED_INDICATOR 1
#define SFRA_GUI_LED_GPIO 31
#define SFRA_GUI_LED_GPIO_PIN_CONFIG GPIO_31_GPIO31


